MPI_Error_string(3)

NAME
MPI_Error_string - Return a string for a given error code

SYNOPSIS
#include <mpi.h>
int MPI_Error_string(int errcode, char *msg,
       int *plen)

INPUT PARAMETERS
errcode
    - Error code returned by an MPI routine or an MPI error class

OUTPUT PARAMETER
msg - Text that corresponds to the errorcode
plen
    - Length of string

NOTES
Error codes are the values return by MPI routines (in C) or in the ierr argument (in Fortran). These can be converted into error classes with the routine MPI_Error_class
 . These messages are provided in English (En_US - English/United States). If there is an interest in providing messages in different languages, please submit requests to the LAM mailing list (see http://www.lam-mpi.org/contact.php ).

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

MORE INFORMATION
For more information, please see the official MPI Forum web site, which contains the text of both the MPI-1 and MPI-2 standards. These documents contain detailed information about each MPI function (most of which is not duplicated in these man pages). http://www.mpi-forum.org/

ACKNOWLEDGEMENTS
The LAM Team would like the thank the MPICH Team for the handy program to generate man pages ("doctext" from ftp://ftp.mcs.anl.gov/pub/sowing/sowing.tar.gz ), the initial formatting, and some initial text for most of the MPI-1 man pages.

LOCATION
errstring.c